Skip to main content
`Ctrl`+`K`

# PetscNvshmemFinalize

Tear down NVSHMEM after PETSc is done using it

## Synopsis

    PetscErrorCode PetscNvshmemFinalize(void)

Collective

## Note

Called internally during `PetscFinalize()` if PETSc previously initialized NVSHMEM. Users normally do not need to call this directly.

## See Also

`PetscFinalize()`, `PetscSF`

## Level

developer

## Location

src/vec/is/sf/impls/basic/nvshmem/sfnvshmem.cu

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages